/*
	jQuery One Show Hide v1.0 - http://www.onerutter.com/oneshowhide
	Copyright (c) 2010 Jake Rutter
      Dodatek ten może być używany we wszystkich prywatnych i komercyjnych projektach w ramach 
      licencji MIT i GPL.
*/

(function($){  
    $.fn.extend({
        oneShowHide: function(options) {  
        
            //Ustaw wartości domyślne, rozdzielając je przecinkiem
            var defaults = {  
                numShown: 10,  
                showText : 'Show More Links',  
                hideText : 'Hide Links'  
            }  
            
            var options =  $.extend(defaults, options);  
                        
            return this.each(function() {  
                var o = options;  
                var obj = $(this);

                // Określ długość pozycji i wyznacz liczbę ukrytych pozycji
                var pLength = obj.children().length;
                var numHidden = pLength - o.numShown;
                var pList = obj.children();
                
                // Zdefiniuj odnośnik pokazywania/ukrywania
                var shLink = "<a href='#' class='view'>" + o.showText + "</a>";
                
                if (pLength > o.numShown) {
                    jQuery(shLink).insertBefore(obj); 
                }
                
                pList.each(function(index){
				    if (index < o.numShown) {
				        //alert('test');
				        jQuery(pList[index]).show(); 
				    }		
				    else {
				        jQuery(pList[index]).hide();
                        jQuery(pList[index]).addClass('hidden');
				    }    
				});

                
                // W tym miejscu następuje pokazanie lub ukrycie tekstu
                jQuery("a.view").live("click", function(e){
    
                    if (jQuery(this).text()==o.showText) {
                    jQuery(this).text(o.hideText);
                }
                else {
                    jQuery(this).text(o.showText);
                }
                    jQuery('.hidden').animate({
    opacity: 0.55,
    height: 'toggle'
  }, 1000, function() {
    // Koniec animacji
  });
                    return false;
               });                
              
            });  
        } 
    }); 
})(jQuery);